Consolidate site and institution statistics into one place

Bug #1691910 reported by Robert Lyon on 2017-05-19
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
Wishlist
Robert Lyon

Bug Description

It would be better to combine all site and institution statistics and make them available via Institutions -> Statistics page.

The new drop-down menu item 'All institutions' will be visible to site administrators so they can view all statistics across the entire site.

The site statistics display additional information that will need to be hidden from non site-admin.

Being able to view the following reports across the entire site but also based on individual institutions will be assumed as a given for the requested reports.

Reviewed: https://reviews.mahara.org/7769
Committed: https://git.mahara.org/mahara/mahara/commit/57b465496fcfe5d18484a6ad6bb42e38849529a6
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 57b465496fcfe5d18484a6ad6bb42e38849529a6
Author: Robert Lyon <email address hidden>
Date: Fri May 19 15:02:33 2017 +1200

Bug 1691910: Consolidating the admin and institution statistics pages

Making the admin/statistics.php obsolete and getting admin/users/statistics.php
to do the work.

The institution 'all' shows the site statistics

Sponsored by University of Sussex and Dublin City University

behatnotneeded

Change-Id: Ic2fb9d4ef355fdc5e5527c1ce776463d821c0c08
Signed-off-by: Robert Lyon <email address hidden>

Robert Lyon (robertl-9) on 2017-06-07
Changed in mahara:
status: In Progress → Fix Committed
tags: added: nominatedfeature
Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/8090
Committed: https://git.mahara.org/mahara/mahara/commit/6e94aeed4769fb456c8f8123aad1e0dff55973c4
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 6e94aeed4769fb456c8f8123aad1e0dff55973c4
Author: Cecilia Vela Gurovic <email address hidden>
Date: Wed Oct 4 17:53:08 2017 +1300

Bug 1720269: old_raw patches for bugs: (reports)

Bug 1697248
Bug 1691910

behatnotneeded

Change-Id: Ia96e648726929d5d36cc5f006c03987bc8c60c5a

Reviewed: https://reviews.mahara.org/8099
Committed: https://git.mahara.org/mahara/mahara/commit/875013064496efc60634a8a7d4193aa83c39b47e
Submitter: Robert Lyon (<email address hidden>)
Branch: 17.10_STABLE

commit 875013064496efc60634a8a7d4193aa83c39b47e
Author: Cecilia Vela Gurovic <email address hidden>
Date: Wed Oct 4 17:53:08 2017 +1300

Bug 1720269: old_raw patches for bugs: (reports)

Bug 1697248
Bug 1691910

behatnotneeded

Change-Id: Ia96e648726929d5d36cc5f006c03987bc8c60c5a
(cherry picked from commit 6e94aeed4769fb456c8f8123aad1e0dff55973c4)

Robert Lyon (robertl-9) on 2017-10-30
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related blueprints